Results 1 to 4 of 4

Thread: Can't install BT4. HELP FAST!!!

  1. #1
    Just burned his ISO
    Join Date
    Oct 2010
    Posts
    2

    Angry Can't install BT4. HELP FAST!!!

    Hello and greetings.
    I have really annoying problem -.-
    Here is the thing.
    I boot BT4 succesfuly.
    But I am not able to startx so I am not able to use ./install.sh script.
    When I start X only thing I get is black screen.
    My Graphic Card is ATI Radeon X1600 which I think is making problem.
    So I founded tutorial which may help me. Here is tutorial's link: Tutorial
    Basically this tutorial is consisting of these steps:
    1. donwload kernel headers: http://www.offensive-security.com/kernel.lzm
    2. download orginal driver for my video card from ATI
    3. execute command: lzm2dir kernel.lzm /
    4. install driver downloaded from ati:
    bt~# chmod +x ati-driver-installer-8-6-x86.x86_64.run
    bt~# ./ati-driver-installer-8-6-x86.x86_64.run
    5. execute next commands so xorg.conf file will be updated:
    bt~# aticonfig --initial -f
    bt~# startx
    Now I have a few questions and troubles in this process.
    Questions:
    First, are steps 1 and 3 really necesarry because I can't use lzm2dir command, (It says command not found).
    Troubles:
    When I issue step 4 I get following error:
    Verifying archive integrity... All good.
    Uncompressing ATI Proprietary Linux Driver-8.42.3............................................ .................................................. .................................................. .................................................. .................................................. .................................................. .................................................. .................................................. .................................................. .................................................. .................................................. .................................................. .................................................. ................................
    ==================================================
     ATI Technologies Linux Driver Installer/Packager 
    ==================================================

    Error: ./default_policy.sh does not support version
    default:v2:i686:lib::none:2.6.30.9; make sure that the version is being
    correctly set by --iscurrentdistro

    Removing temporary directory: fglrx-install.EB7700
    Now what is wrong here and how can I install this driver.
    Please Help me, help me install BT 4

    Thank You

  2. #2
    Super Moderator Archangel-Amael's Avatar
    Join Date
    Jan 2010
    Location
    Somewhere
    Posts
    8,012

    Default Re: Can't install BT4. HELP FAST!!!

    Dude you are using a BT3 tutorial to install BT4. That will never work.
    Try using a guide for BT4
    BackTrack Linux - Penetration Testing Distribution
    To be successful here you should read all of the following.
    ForumRules
    ForumFAQ
    If you are new to Back|Track
    Back|Track Wiki
    Failure to do so will probably get your threads deleted or worse.

  3. #3
    Just burned his ISO
    Join Date
    Oct 2010
    Posts
    2

    Default Re: Can't install BT4. HELP FAST!!!

    well I can't.
    I am not able to startx and therefore I am not able to use install.sh script?
    So, what do you suggest?

  4. #4
    Just burned his ISO
    Join Date
    Oct 2010
    Posts
    3

    Default Re: Can't install BT4. HELP FAST!!!

    Make sure your PC has the right system requirements to run BT4. Login as root, PW toor, then at the prompt type startx, not start x with the space, then you should see a shell file called install.sh click on that to install, also like the guy above said make sure you are using instruction for BT4 not BT3 because BT3 is based on Slackware I beleive, BT4 is based off Ubuntu.

Similar Threads

  1. Fast-Track <-> Accediendo a un sistemas con Fast-Track
    By šĜrτĦacK in forum BT Videos - ES
    Replies: 1
    Last Post: 06-26-2010, 05:57 AM
  2. Need help...fast
    By browneyedbandit in forum OLD Newbie Area
    Replies: 11
    Last Post: 12-23-2009, 06:49 PM
  3. Fast-Track.py
    By Mickiey in forum OLD Latest Public Release - BackTrack4 Beta
    Replies: 2
    Last Post: 04-24-2009, 08:01 PM
  4. Fast-Track 4.0 How to install?
    By x303x in forum OLD Newbie Area
    Replies: 5
    Last Post: 02-11-2009, 08:24 PM
  5. Why BackTrack is so fast?
    By imported_nusch in forum OLD BT3beta General
    Replies: 2
    Last Post: 12-20-2007, 02:41 AM

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •